<template>
  <el-table :data="list" style="width: 100%;padding-top: 15px;">
    <el-table-column label="文档名称" min-width="200">
      <template slot-scope="scope">
         文档001
      </template>
    </el-table-column>
    <el-table-column label="时间" width="150">
      <template slot-scope="scope">
         2023-10-11
      </template>
    </el-table-column>

    <el-table-column label="状态" width="100" align="center">
      <template slot-scope="{row}">
        <el-tag :type="row.status | statusFilter">
          {{ row.status }}
        </el-tag>
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
import { transactionList } from '@/api/remote-search'

export default {
  filters: {
    statusFilter(status) {
      const statusMap = {
        success: 'success',
        pending: 'danger'
      }
      return statusMap[status]
    },
    orderNoFilter(str) {
      return str.substring(0, 30)
    }
  },
  data() {
    return {
      list: null
    }
  },
  created() {
    this.fetchData()
  },
  methods: {
    fetchData() {
      transactionList().then(response => {
        this.list = response.data.items.slice(0, 8)
      })
    }
  }
}
</script>
